

cc.Class({
    extends: cc.Component,
    /** 游戏的全局变量 */

    properties: {
        /** 游戏节点的注册 */

        // logo节点
        logo: {
            default: null,
            type: cc.Node,
        },

        // subtitle节点
        subtitle: {
            default: null,
            type: cc.Node,
        },

        // btn_start节点
        start_btn: {
            default: null,
            type: cc.Node,
        },

        teacher: {
            default: null,
            type: cc.Node,
        },

        // classroom节点
        classroom: {
            default: null,
            type: cc.Node,
            active: false,
        },

        // hand节点
        hand: {
            default: null,
            type: cc.Node,
        },
    },

    onLoad: function () {

        // 初始化游戏数据
        this.score = 0;  // 分数
        this.timer = 60; // 每一盘游戏的总时间
        this.leftLife = 3; // 剩余的命条数
        this.gameState = "waitting"; // 游戏的状态 waiting(待开始)  action(游戏中)  stop(被抓)  over(分数总结)
        this.swivelAnimationTime = 0.5; //转头动画时间 （单向）
        this.flirtAnimationTime = 0.5; //摸的动画时间（单向）

        // 奖Game组件的实例传入开始按钮
        var startBtn = cc.find("index/start_btn", this.node);
        startBtn.getComponent('Start').game = this;

        var teacher = cc.find("teacher", this.node);
        teacher.getComponent('Teacher').game = this;
    },

    // 添加分数
    gainScore: function() {
        this.score += 1;
    },

    // 游戏帧循环
    update: function(dt) {

    },

    // 游戏开始
    startGame: function() {

    },

    // 游戏暂停
    stopGame: function() {

    },

    // 游戏结束
    gameOver: function() {

    },
});
